# This file created by conda-build 26.3.0
# meta.yaml template originally from:
# /home/task_178173115461029/anaconda-auth-feedstock/recipe, last modified Wed Jun 17 21:20:18 2026
# ------------------------------------------------

package:
  name: anaconda-auth
  version: 0.15.1
source:
  git_url: https://github.com/anaconda/anaconda-auth.git
  git_rev: v0.15.1
build:
  entry_points:
    - conda-token = anaconda_auth._conda.conda_token:cli
  script:
    - /home/task_178173115461029/croot/anaconda-auth_1781731241364/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeho/bin/python
      -m pip install . -vv --no-deps --no-build-isolation
    - /home/task_178173115461029/croot/anaconda-auth_1781731241364/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeho/bin/python
      ./src/anaconda_auth/_conda/config.py --install
  number: '0'
  string: py314h06a4308_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 52_gnu
    - bzip2 1.0.8 h5eee18b_6
    - c-ares 1.34.6 hd44998d_0
    - ca-certificates 2026.5.14 h06a4308_0
    - expat 2.8.1 h7354ed3_0
    - gettext 0.25.1 hd8bbc44_1
    - gettext-tools 0.25.1 hecf7c64_1
    - git 2.51.0 pl5382h9046301_1
    - icu 78.3 h84d19a5_0
    - jansson 2.15.0 hbcba0ee_0
    - libasprintf 0.25.1 ha6c9436_1
    - libasprintf-devel 0.25.1 ha6c9436_1
    - libbrotlicommon 1.2.0 h32cd6e7_0
    - libbrotlidec 1.2.0 ha2c5f68_0
    - libbrotlienc 1.2.0 h2e96acb_0
    - libcurl 8.20.0 hd8fa685_1
    - libev 4.33 h7f8727e_1
    - libexpat 2.8.1 h7354ed3_0
    - libgcc 15.2.0 h69a1729_8
    - libgcc-ng 15.2.0 h166f726_8
    - libgettextpo 0.25.1 h64fc44f_1
    - libgettextpo-devel 0.25.1 h64fc44f_1
    - libiconv 1.18 h75a1612_0
    - libidn2 2.3.8 hf80d704_0
    - libkrb5 1.22.2 hbd13c29_0
    - libnghttp2 1.69.0 hc59f8b6_0
    - libssh2 1.11.1 h251f7ec_0
    - libstdcxx 15.2.0 h39759b7_8
    - libstdcxx-ng 15.2.0 hc03a8fd_8
    - libunistring 1.4.2 h34b0ebb_0
    - libxcb 1.17.0 h9b100fa_0
    - libxml2 2.14.4 h4481af1_1
    - libzlib 1.3.2 h47b2149_0
    - lmdb 0.9.31 hb25bd0a_0
    - lz4-c 1.9.4 h6a678d5_1
    - ncurses 6.5 h7934f7d_0
    - openssl 3.5.7 h1b28b03_0
    - pcre2 10.46 hf426167_0
    - perl 5.42.2 1_h47b2149_perl5
    - pthread-stubs 0.3 h0ce48e5_1
    - tk 8.6.15 h54e0aa7_0
    - xorg-libx11 1.8.12 h9b100fa_1
    - xorg-libxau 1.0.12 h9b100fa_0
    - xorg-libxdmcp 1.1.5 h9b100fa_0
    - xorg-xorgproto 2024.1 h5eee18b_1
    - xz 5.8.2 h448239c_0
    - zlib 1.3.2 h47b2149_0
    - zstd 1.5.7 h11fc155_0
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 52_gnu
    - bzip2 1.0.8 h5eee18b_6
    - ca-certificates 2026.5.14 h06a4308_0
    - hatch-vcs 0.5.0 py314h06a4308_0
    - hatchling 1.29.0 py314h06a4308_0
    - ld_impl_linux-64 2.44 h9e0c5a2_3
    - libexpat 2.8.1 h7354ed3_0
    - libffi 3.4.8 h06d3fd0_3
    - libgcc 15.2.0 h69a1729_8
    - libgcc-ng 15.2.0 h166f726_8
    - libmpdec 4.0.1 h47b2149_0
    - libstdcxx 15.2.0 h39759b7_8
    - libstdcxx-ng 15.2.0 hc03a8fd_8
    - libuuid 1.41.5 h5eee18b_0
    - libxcb 1.17.0 h9b100fa_0
    - libzlib 1.3.2 h47b2149_0
    - lz4-c 1.9.4 h6a678d5_1
    - ncurses 6.5 h7934f7d_0
    - openssl 3.5.7 h1b28b03_0
    - packaging 26.0 py314h06a4308_0
    - pathspec 1.0.4 py314h06a4308_0
    - pip 26.1.1 pyh0d26453_1
    - pluggy 1.6.0 py314h06a4308_0
    - pthread-stubs 0.3 h0ce48e5_1
    - python 3.14.5 h4bdf6f9_100_cp314
    - python_abi 3.14 2_cp314
    - readline 8.3 hc2a1206_0
    - setuptools 82.0.1 py314h06a4308_0
    - setuptools-scm 10.0.5 py314h06a4308_0
    - sqlite 3.53.2 h795bf6d_0
    - tk 8.6.15 h54e0aa7_0
    - trove-classifiers 2026.1.14.14 py314h06a4308_0
    - tzdata 2026b he532380_0
    - vcs-versioning 1.1.1 py314h06a4308_0
    - xorg-libx11 1.8.12 h9b100fa_1
    - xorg-libxau 1.0.12 h9b100fa_0
    - xorg-libxdmcp 1.1.5 h9b100fa_0
    - xorg-xorgproto 2024.1 h5eee18b_1
    - xz 5.8.2 h448239c_0
    - zlib 1.3.2 h47b2149_0
    - zstd 1.5.7 h11fc155_0
  run:
    - anaconda-cli-base >=0.8.1
    - cryptography >=3.4.0
    - httpx
    - keyring
    - pkce
    - pydantic
    - pyjwt
    - python >=3.14,<3.15.0a0
    - python-dotenv
    - python_abi 3.14.* *_cp314
    - requests
    - semver <4
  run_constrained:
    - anaconda-cloud-auth >=0.8
    - conda >=23.9.0
    - conda-token >=0.7.0
test:
  imports:
    - anaconda_auth
  commands:
    - conda-token --help
    - anaconda auth --help
    - python -c "from anaconda_auth import __version__; assert __version__ == \"0.15.1\""
    - python -m anaconda_auth._conda.config --verify
    - pip check
  requires:
    - conda
    - pip
    - python >=3.14,<3.15.0a0
about:
  summary: A client auth library for Anaconda APIs
  description: A client library for Anaconda APIs to authenticate and securely store
    API keys
  doc_url: https://anaconda.github.io/anaconda-auth
  dev_url: https://github.com/anaconda/anaconda-auth
  home: https://www.anaconda.com
  license: BSD-3-Clause
  license_file: LICENSE
  license_family: BSD
extra:
  recipe-maintainers:
    - AlbertDeFusco
    - mattkram
  final: true
  copy_test_source_files: true
  remote_url: https://github.com/AnacondaRecipes/anaconda-auth-feedstock
  sha: 4d0feaa09c921100650c830b3c17bd4ce6a403f5
  task_id: NaNRND9jQzqaxzOkxMgyVw
  task_run_id: '0'
  pbp_graph_uuid: f4ce715a-e31a-4a69-91e5-5cdf8ea5aed8
